package me.akito123321.valoStrats.rest.requests;

import java.util.List;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;
import me.akito123321.valoStrats.schemas.StratState;

public record StratRequest(
		@Size(max = 50, message = "{title can not be longer than 50 chars}") @NotBlank String title,
		@Size(max = 512, message = "{description can not be longer than 50 chars}") @NotBlank String description,
		@Size(max = 50, message = "{title stratType can not be than 50 chars}") @NotBlank String stratType,
		@NotNull List<StratState> stratStates,
		Integer attempts,
		Integer success) {
}
