package me.akito123321.valoStrats.rest.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import me.akito123321.valoStrats.db.repositories.PlayerTypeRepository;
import me.akito123321.valoStrats.schemas.PlayerType;

@Service
public class PlayerTypeService {

	@Autowired
	private PlayerTypeRepository playerTypeRepository;

	public PlayerType getPlayerTypeById(String id) {
		return playerTypeRepository.findById(id).orElse(null);
	}

	public void savePlayerType(PlayerType playerType) {
		playerTypeRepository.save(playerType);
	}
	
	public void removePlayerType(PlayerType playerType) {
		playerTypeRepository.delete(playerType);
	}
	
}
