package me.akito123321.valoStrats.rest.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import me.akito123321.valoStrats.db.repositories.LineupRepository;
import me.akito123321.valoStrats.schemas.Lineup;

@Service
public class LineupService {

	@Autowired
	private LineupRepository lineupRepository;

	public Lineup getLineupById(String id) {
		return lineupRepository.findById(id).orElse(null);
	}

	public void saveLineup(Lineup lineup) {
		lineupRepository.save(lineup);
	}
	
	public void removeLineup(Lineup lineup) {
		lineupRepository.delete(lineup);
	}
	
}
